package com.gree.mall.miniapp.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum AppraiseSourceEnum implements BaseEnum, IEnum<Integer> {

    A("1","客户端"),
    B("2","商家");

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;


    @Override
    public Integer getValue() {
        return getIntKey();
    }
}
